---
id: 6554d15c8acb5f34499ad789
title: Step 69
challengeType: 20
dashedName: step-69
---

# --description--

And now, try to print `encryption` to see the actual output on the terminal.

# --hints--

You should print your `encryption` variable.

```js
({ test: () => assert.match(code, /^print\s*\(\s*encryption\s*\)/m) })
```

# --seed--

## --seed-contents--

```py
text = 'Hello Zaira'
custom_key = 'python'

def vigenere(message, key):
    key_index = 0
    alphabet = 'abcdefghijklmnopqrstuvwxyz'
    encrypted_text = ''

    for char in message.lower():
    
        # Append space to the message
        if char == ' ':
            encrypted_text += char
        else:        
            # Find the right key character to encode
            key_char = key[key_index % len(key)]
            key_index += 1

            # Define the offset and the encrypted letter
            offset = alphabet.index(key_char)
            index = alphabet.find(char)
            new_index = (index + offset) % len(alphabet)
            encrypted_text += alphabet[new_index]
    
    return encrypted_text

--fcc-editable-region--
encryption = vigenere(text, custom_key)

--fcc-editable-region--
```
